## org.apache.lucene.xmlparser
Class QueryBuilderFactory

    java.lang.Object
      org.apache.lucene.xmlparser.QueryBuilderFactory

All Implemented Interfaces:
  QueryBuilder

    public class QueryBuilderFactory

extends Object
implements QueryBuilder

Author:
  maharwood

Constructor Summary
`QueryBuilderFactory()`

Method Summary
`void` `addBuilder(String nodeName, QueryBuilder builder)`
`Query` `getQuery(Element n)`
`QueryBuilder` `getQueryBuilder(String nodeName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryBuilderFactory

    public QueryBuilderFactory()

Method Detail

### getQuery

    public Query getQuery(Element n)
                   throws ParserException

  Specified by:
    `getQuery` in interface `QueryBuilder`
  Throws:
    `ParserException`

### addBuilder

    public void addBuilder(String nodeName,
                           QueryBuilder builder)

### getQueryBuilder

    public QueryBuilder getQueryBuilder(String nodeName)

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.